Bug #23867

CV Package filters not handling greater than or less than properly

Added by Partha Aji 11 days ago. Updated 6 days ago.

Status:Duplicate
Priority:Normal
Assigned To:Partha Aji
Category:Content Views
Target version:Team Brad - Backlog
Difficulty: Pull request:
Bugzilla link:1582049 Found in Katello release:
Story points-
Velocity based estimate-
ReleaseKatello Recycle BinRelease relationshipAuto

Description

Given a CV that is using an exclude filter for RPMS. The filter has a rule that is using version range on a package. After changing this rule to "Greater than",
no packages got excluded when publishing the CV.

Steps to Reproduce:
1. Create a CV with "Red Hat Enterprise Linux 7 Server RPMs x86_64 7Server " repo

2. Create an exclude fitler for kernel pacakge like this

Type: Exclude
RPM: kernel
Version "range": between 3.10.0-327.36.3.el7 and 3.10.0-693.36.3.el7

3. update the same filter rule created in 2 to:

Type: Exclude
RPM: kernel
Version "Greater than": 3.10.0-693.36.3.el7

4. publish the CV

Actual results:

Kernel 3.10.0-862.2.3.el7 is included

Expected results:

Kernel 3.10.0-862.2.3.el7 should not be included because it is higher than 3.10.0-693.36.3


Related issues

Duplicates Katello - Bug #20876: Editing a content view package filter rule with greater o... Closed 09/07/2017

History

#1 Updated by Partha Aji 11 days ago

  • Target version set to Team Brad - Backlog

#2 Updated by Partha Aji 11 days ago

  • Bugzilla link set to 1582049

#3 Updated by Partha Aji 11 days ago

  • Duplicates Bug #20876: Editing a content view package filter rule with greater or less than breaks the filter added

#4 Updated by Partha Aji 11 days ago

  • Status changed from New to Closed

#5 Updated by Justin Sherrill 6 days ago

  • Release set to Katello Recycle Bin
  • Status changed from Closed to Duplicate

Also available in: Atom PDF